curl --request GET \
--url https://{gatewayBaseURL}/fine_tuning/jobs/{fine_tuning_job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{gatewayBaseURL}/fine_tuning/jobs/{fine_tuning_job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{gatewayBaseURL}/fine_tuning/jobs/{fine_tuning_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "fine_tuning.job",
"id": "<string>",
"model": "<string>",
"created_at": 123,
"fine_tuned_model": "<string>",
"organization_id": "<string>",
"result_files": [
"<string>"
],
"status": "queued",
"validation_file": "<string>",
"training_file": "<string>",
"finished_at": 123,
"hyperparameters": {},
"trained_tokens": 123,
"integrations": [
{}
],
"seed": 123,
"estimated_finish": 123,
"method": {},
"metadata": {}
}Retrieve Fine-tuning Job
Get info about a fine-tuning job.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional metadata for the request
Name of the provider
Vertex AI storage bucket name
Provider-specific model identifier
Purpose for the file upload (e.g., fine-tune)
Path Parameters
The ID of the fine-tuning job
Response
Fine-tuning job retrieved successfully
The object type
fine_tuning.job The fine-tuning job ID
The model being fine-tuned
The Unix timestamp when the job was created
Name of the resulting fine-tuned model.
The organization that owns the fine-tuning job
The compiled results files for the fine-tuning job
The current status of the fine-tuning job
queued, running, succeeded, failed, cancelled The file ID used for validation
The file ID used for training
The Unix timestamp when the job finished
The hyperparameters used for the fine-tuning job
The total number of tokens used for training
A list of integrations enabled for the fine-tuning job
The seed used for the fine-tuning job
The estimated finish timestamp for the job
The method used for fine-tuning
Set of 16 key-value pairs that can be attached to an object
Show child attributes
Show child attributes
Was this page helpful?